[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s
;---CPU敾掕---
[Command]
name = "AI1"
command = a,F,F,F,F,F,F,F,F
time = 1

[Command]
name = "AI2"
command = a,F,F,F,F,F,F,F,B
time = 1

[Command]
name = "AI3"
command = a,F,F,F,F,F,F,B,F
time = 1

[Command]
name = "AI4"
command = a,F,F,F,F,F,B,F,F
time = 1

[Command]
name = "AI5"
command = a,F,F,F,F,B,F,F,F
time = 1

[Command]
name = "AI6"
command = a,F,F,F,B,F,F,F,F
time = 1

[Command]
name = "AI7"
command = a,F,F,B,F,F,F,F,F
time = 1

[Command]
name = "AI8"
command = a,F,B,F,F,F,F,F,F
time = 1

[Command]
name = "AI9"
command = a,B,F,F,F,F,F,F,F
time = 1

[Command]
name = "AI10"
command = a,B,B,F,F,F,F,F,F
time = 1

[Command]
name = "AI11"
command = a,a,a,a,a,a,a,a,a,a,a,a
time = 1

[Command]
name = "AI12"
command = b,a,a,a,a,a,a,a,a,a,a,a
time = 1

[Command]
name = "AI13"
command = a,b,a,a,a,a,a,a,a,a,a,a
time = 1

[Command]
name = "AI14"
command = a,a,b,a,a,a,a,a,a,a,a,a
time = 1

[Command]
name = "AI15"
command = a,a,a,b,a,a,a,a,a,a,a,a
time = 1

[Command]
name = "AI16"
command = a,a,a,a,b,a,a,a,a,a,a,a
time = 1

[Command]
name = "AI17"
command = a,a,a,a,a,b,a,a,a,a,a,a
time = 1

[Command]
name = "AI18"
command = a,a,a,a,a,a,b,a,a,a,a,a
time = 1

[Command]
name = "AI19"
command = a,a,a,a,a,a,a,b,a,a,a,a
time = 1

[Command]
name = "AI20"
command = a,a,a,a,a,a,a,a,b,a,a,a
time = 1

[Command]
name = "AI21"
command = a,a,a,a,a,a,a,a,a,b,a,a
time = 1

[Command]
name = "AI22"
command = a,a,a,a,a,a,a,a,a,a,b,a
time = 1

[Command]
name = "AI23"
command = a,a,a,a,a,a,a,a,a,a,a,b
time = 1

[Command]
name = "AI24"
command = b,b,b,b,b,b,b,b,b,b,b,b
time = 1

[Command]
name = "AI25"
command = c,b,b,b,b,b,b,b,b,b,b,b
time = 1

[Command]
name = "AI26"
command = b,c,b,b,b,b,b,b,b,b,b,b
time = 1

[Command]
name = "AI27"
command = b,b,c,b,b,b,b,b,b,b,b,b
time = 1

[Command]
name = "AI28"
command = b,b,b,c,b,b,b,b,b,b,b,b
time = 1

[Command]
name = "AI29"
command = b,b,b,b,c,b,b,b,b,b,b,b
time = 1

[Command]
name = "AI30"
command = b,b,b,b,b,c,b,b,b,b,b,b
time = 1

[Command]
name = "AI31"
command = b,b,b,b,b,b,c,b,b,b,b,b
time = 1

[Command]
name = "AI32"
command = b,b,b,b,b,b,b,c,b,b,b,b
time = 1

[Command]
name = "AI33"
command = b,b,b,b,b,b,b,b,c,b,b,b
time = 1

[Command]
name = "AI34"
command = b,b,b,b,b,b,b,b,b,c,b,b
time = 1

[Command]
name = "AI35"
command = b,b,b,b,b,b,b,b,b,b,c,b
time = 1

[Command]
name = "AI36"
command = b,b,b,b,b,b,b,b,b,b,b,c
time = 1

[Command]
name = "AI37"
command = b,b,b,c,b,b,b,b,b,b,b,b
time = 1

[Command]
name = "AI38"
command = b,b,b,b,b,b,c,b,b,b,b,b
time = 1

[Command]
name = "AI39"
command = b,b,b,b,b,b,b,b,c,b,b,b
time = 1

[Command]
name = "AI40"
command = b,b,b,b,b,b,b,b,b,b,c,b,F
time = 1

[Command]
name = "AI41"
command = b,b,b,b,b,c,b,b,b,b,b,b,F
time = 1

[Command]
name = "AI42"
command = b,b,b,b,b,b,c,b,b,b,b,b,F
time = 1

[Command]
name = "AI43"
command = b,b,b,b,b,b,b,c,b,b,b,b,F
time = 1

[Command]
name = "AI44"
command = b,b,b,b,b,b,b,b,c,b,b,b,F
time = 1

[Command]
name = "AI45"
command = b,b,b,b,b,b,b,b,b,c,b,b,F
time = 1

[Command]
name = "AI46"
command = b,b,b,b,b,b,b,b,b,b,c,b,F
time = 1

[Command]
name = "AI47"
command = b,b,b,b,b,b,b,b,b,b,b,c,F
time = 1

[Command]
name = "AI48"
command = b,b,b,c,b,b,b,b,b,b,b,b,F
time = 1

[Command]
name = "AI49"
command = b,b,b,b,b,b,c,b,b,b,b,b,F
time = 1

[Command]
name = "AI50"
command = b,b,b,b,b,b,b,b,c,b,b,b,F
time = 1

;---俀搙墴偟宯摑---
[Command]
name = "FF"
command = F, F
time = 10

[Command]
name = "BB"
command = B, B
time = 10

;---暅婣---
[Command]
name = "recovery"
command = x+y
time = 1

[Command]
name = "recovery"
command = a+b
time = 1

[Command]
name = "recovery"
command = x
time = 1

[Command]
name = "recovery"
command = a
time = 1

[Command]
name = "recovery"
command = y
time = 1

[Command]
name = "recovery"
command = b
time = 1

[Command]
name = "recovery"
command = z
time = 1

[Command]
name = "recovery"
command = c
time = 1

;---昁嶦媄---

[Command]
name = "tobidase"
command = B,D,F,a
time = 33

[Command]
name = "boxtu"
command = B,D,F,b
time = 33

[Command]
name = "nanaya"
command = B,D,F,c
time = 33

[Command]
name = "gensouN"
command = F,D,B,a
time = 33

[Command]
name = "damian"
command = F,D,B,b
time = 33

[Command]
name = "onmyou"
command = F,D,B,c
time = 33

[Command]
name = "unsoua"
command = D,DF,F,a
time = 22

[Command]
name = "unsoub"
command = D,DF,F,b
time = 22

[Command]
name = "unsouc"
command = D,DF,F,c
time = 22

[Command]
name = "dekagaoa"
command = D,DB,B,a
time = 22

[Command]
name = "dekagaob"
command = D,DB,B,b
time = 22

[Command]
name = "dekagaoc"
command = D,DB,B,c
time = 22

;---捠忢媄---
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

;---堏摦---
[Command]
name = "holdfwd"
command = /$F
time = 1

[Command]
name = "holdback"
command = /$B
time = 1

[Command]
name = "holdup"
command = /$U
time = 1

[Command]
name = "holddown"
command = /$D
time = 1

;---媄偺僐儅儞僪---
[Statedef -1]

;[State -1,墔楈婼恄嬍]
type = Changestate
value = 1200
triggerall = command = "onmyou"
triggerall = statetype != A
triggerall = Var(59) = 0
triggerall = power >= 1000
trigger1 = helper(310),movecontact || helper(311),movecontact || helper(312),movecontact
trigger2 = helper(210),movecontact || helper(211),movecontact || helper(212),movecontact
trigger3 = ctrl

;[State -1,僄儕乕僩塣憲晹戉攷楈仚楈柌]
type = Changestate
value = 1100
triggerall = command = "damian"
triggerall = statetype != A
triggerall = Var(59) = 0
triggerall = power >= 1000
trigger1 = helper(310),movecontact || helper(311),movecontact || helper(312),movecontact
trigger2 = helper(210),movecontact || helper(211),movecontact || helper(212),movecontact
trigger3 = ctrl

[State -1,尪憐曻楺寠N]
type = Changestate
value = 1000
triggerall = command = "gensouN"
triggerall = statetype != A
triggerall = Var(59) = 0
triggerall = power >= 1000
trigger1 = helper(310),movecontact || helper(311),movecontact || helper(312),movecontact
trigger2 = helper(210),movecontact || helper(211),movecontact || helper(212),movecontact
trigger3 = ctrl

;[State -1,慚忊缻枍箹鍋iAAD乯]
;type = Changestate
;value = 900
;triggerall = command = "nanaya"
;triggerall = statetype != A
;triggerall = Var(59) = 0
;triggerall = power >= 1000
;trigger1 = helper(310),movecontact || helper(311),movecontact || helper(312),movecontact
;trigger2 = helper(210),movecontact || helper(211),movecontact || helper(212),movecontact
;trigger3 = ctrl

;[State -1,備偭偔傝儃僢]
;type = Changestate
;value = 800
;triggerall = command = "boxtu"
;triggerall = statetype != A
;triggerall = Var(59) = 0
;triggerall = power >= 1000
;trigger1 = helper(310),movecontact || helper(311),movecontact || helper(312),movecontact
;trigger2 = helper(210),movecontact || helper(211),movecontact || helper(212),movecontact
;trigger3 = ctrl

[State -1,旘傃弌偣両敧塤堦壠]
type = Changestate
value = 700
triggerall = command = "tobidase"
triggerall = statetype != A
triggerall = Var(59) = 0
triggerall = power >= 1000
trigger1 = helper(310),movecontact || helper(311),movecontact || helper(312),movecontact
trigger2 = helper(210),movecontact || helper(211),movecontact || helper(212),movecontact
trigger3 = ctrl

[State -1,尪憐曻楺寠A]
type = Changestate
value = 600
triggerall = command = "dekagaoa"
triggerall = statetype != A
triggerall = Var(59) = 0
trigger1 = helper(310),movecontact || helper(311),movecontact || helper(312),movecontact
trigger2 = helper(210),movecontact || helper(211),movecontact || helper(212),movecontact
trigger3 = ctrl

[State -1,尪憐曻楺寠B]
type = Changestate
value = 601
triggerall = command = "dekagaob"
triggerall = statetype != A
triggerall = Var(59) = 0
trigger1 = helper(310),movecontact || helper(311),movecontact || helper(312),movecontact
trigger2 = helper(210),movecontact || helper(211),movecontact || helper(212),movecontact
trigger3 = ctrl

[State -1,尪憐曻楺寠C]
type = Changestate
value = 602
triggerall = command = "dekagaoc"
triggerall = statetype != A
triggerall = Var(59) = 0
trigger1 = helper(310),movecontact || helper(311),movecontact || helper(312),movecontact
trigger2 = helper(210),movecontact || helper(211),movecontact || helper(212),movecontact
trigger3 = ctrl

[State -1,嬞媫敪恑幃恄A]
type = Changestate
value = 500
triggerall = command = "unsoua"
triggerall = statetype != A
triggerall = Var(59) = 0
trigger1 = helper(310),movecontact || helper(311),movecontact || helper(312),movecontact
trigger2 = helper(210),movecontact || helper(211),movecontact || helper(212),movecontact
trigger3 = ctrl

[State -1,嬞媫敪恑幃恄B]
type = Changestate
value = 501
triggerall = command = "unsoub"
triggerall = statetype != A
triggerall = Var(59) = 0
trigger1 = helper(310),movecontact || helper(311),movecontact || helper(312),movecontact
trigger2 = helper(210),movecontact || helper(211),movecontact || helper(212),movecontact
trigger3 = ctrl

[State -1,嬞媫敪恑幃恄C]
type = Changestate
value = 502
triggerall = command = "unsouc"
triggerall = statetype != A
triggerall = Var(59) = 0
trigger1 = helper(310),movecontact || helper(311),movecontact || helper(312),movecontact
trigger2 = helper(210),movecontact || helper(211),movecontact || helper(212),movecontact
trigger3 = ctrl

[State -1,嬞媫敪恑幃恄JA]
type = Changestate
value = 503
triggerall = command = "unsoua"
triggerall = statetype = A
triggerall = Var(59) = 0
trigger1 = helper(410),movecontact || helper(411),movecontact || helper(412),movecontact
trigger2 = ctrl

[State -1,嬞媫敪恑幃恄JB]
type = Changestate
value = 504
triggerall = command = "unsoub"
triggerall = statetype = A
triggerall = Var(59) = 0
trigger1 = helper(410),movecontact || helper(411),movecontact || helper(412),movecontact
trigger2 = ctrl

[State -1,嬞媫敪恑幃恄JC]
type = Changestate
value = 505
triggerall = command = "unsouc"
triggerall = statetype = A
triggerall = Var(59) = 0
trigger1 = helper(410),movecontact || helper(411),movecontact || helper(412),movecontact
trigger2 = ctrl

[State -1,5A]
type = Changestate
value = 200
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = statetype != A
triggerall = Var(59) = 0
trigger1 = helper(310),movecontact
trigger2 = helper(210),movecontact
trigger3 = ctrl

[State -1,5B]
type = Changestate
value = 201
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = statetype != A
triggerall = Var(59) = 0
trigger1 = helper(310),movecontact
trigger2 = helper(210),movecontact
trigger3 = ctrl

[State -1,5C]
type = Changestate
value = 202
triggerall = command = "c"
triggerall = command != "holddown"
triggerall = statetype != A
triggerall = Var(59) = 0
trigger1 = helper(310),movecontact || helper(311),movecontact
trigger2 = helper(210),movecontact || helper(211),movecontact
trigger3 = ctrl

[State -1,2A]
type = Changestate
value = 300
triggerall = command = "a"
triggerall = command = "holddown"
triggerall = statetype != A
triggerall = Var(59) = 0
trigger1 = helper(310),movecontact
trigger2 = helper(210),movecontact
trigger3 = ctrl

[State -1,2B]
type = Changestate
value = 301
triggerall = command = "b"
triggerall = command = "holddown"
triggerall = statetype != A
triggerall = Var(59) = 0
trigger1 = helper(310),movecontact
trigger2 = helper(210),movecontact
trigger3 = ctrl

[State -1,2C]
type = Changestate
value = 302
triggerall = command = "c"
triggerall = command = "holddown"
triggerall = statetype != A
triggerall = Var(59) = 0
trigger1 = helper(310),movecontact || helper(311),movecontact
trigger2 = helper(210),movecontact || helper(211),movecontact
trigger3 = ctrl

[State -1,JA2]
type = Changestate
value = 403
triggerall = command = "a"
triggerall = command = "holdup"
triggerall = statetype = A
triggerall = Var(59) = 0
trigger1 = helper(410),movecontact
trigger2 = ctrl

[State -1,JC2]
type = Changestate
value = 404
triggerall = command = "c"
triggerall = command = "holddown"
triggerall = statetype = A
triggerall = Var(59) = 0
trigger1 = helper(412),movecontact
trigger2 = ctrl

[State -1,JA]
type = Changestate
value = 400
triggerall = command = "a"
triggerall = statetype = A
triggerall = Var(59) = 0
trigger1 = helper(410),movecontact
trigger2 = ctrl

[State -1,JB]
type = Changestate
value = 401
triggerall = command = "b"
triggerall = statetype = A
triggerall = Var(59) = 0
trigger1 = helper(411),movecontact
trigger2 = ctrl

[State -1,JC]
type = Changestate
value = 402
triggerall = command = "c"
triggerall = statetype = A
triggerall = Var(59) = 0
trigger1 = helper(412),movecontact
trigger2 = ctrl

[State -1,僟僢僔儏]
type = Changestate
value = 100
value = 101
triggerall = command = "FF"
triggerall = statetype != A
triggerall = Var(59) = 0
trigger1 = ctrl
trigger2 = command = "FF"
trigger2 = stateno = 200
trigger3 = command = "FF"
trigger3 = stateno = 201
trigger4 = command = "FF"
trigger4 = stateno = 202

[State -1,僶僢僋僟僢僔儏]
type = Changestate
value = 105
triggerall = command = "BB"
triggerall = statetype != A
triggerall = Var(59) = 0
trigger1 = ctrl

[State -1,嬻拞僟僢僔儏]
type = Changestate
value = 110
triggerall = command = "FF"
triggerall = statetype = A
triggerall = Var(59) = 0
triggerall = Var(2) = 0
trigger1 = ctrl

[State -1,嬻拞僶僢僋僟僢僔儏]
type = Changestate
value = 115
triggerall = command = "BB"
triggerall = statetype = A
triggerall = Var(59) = 0
triggerall = Var(2) = 0
trigger1 = ctrl